Subject: [bug#40492] [PATCH] gnu: Add meshlab

From: Ludovic Courtès <[email-masked]>
Date: Mon, 11 May 2020 14:44:14 +0200

Egun on!

Ekaitz Zarraga <[email-masked]> skribis:

> I'm working on it. I managed to add some system provided libraries but I'm having issues with qhull and I'm trying to fix them upstream.
>
> First step, I filed an issue in meshlab: https://github.com/cnr-isti-vclab/meshlab/issues/678

Great!

> Second step will be to fix the issue.
>
> Next I need to figure out what to do with the rest of the libraries. Should we package all of them? Some of them don't look interesting by themselves, maybe it's better to keep them bundled.

Ideally, yes.  Now, if some of these libraries have no other users, we
can make an exception.

> I also have a question:
> Most of the libraries that are bundled in meshlab have very old versions (qhull's version is from 2003). How does Guix handle breaking changes in libraries?
> If meshlab doesn't support newer libraries, what do we need to do?

We could still unbundle for example qhull and, if needed, package that
older version that Meshlab need.  In parallel, we can report the issue
to the Meshlab developers so that future versions can use the current
qhull.

I realize this is quite some work, so you’re welcome to improve things
incrementally.  If you don’t manage to deal with all the bundled
libraries, then you can still send an updated patch and we’ll see where
we are and perhaps push the version you arrived at.

Thank you!

Ludo’.